ITPAM install is failing after providing Java install location

Document ID : KB000102889
Last Modified Date : 21/06/2018
Show Technical Document Details
Issue:
Site is attempting to install ITPAM 4.3 as part of the Service Management Install.  Did install SQL client and JRE 1.8

Installer is asking for the Java Home Directory and getting an error to enter a valid Java install directory, even through the displayed path is the correct one

Error presented is:  Please enter a valid 64-bit Java Runtime Environment (JRE) 7 or above installation directory path.

Error Message Java
Environment:
CA Service Management 17.1, ITPAM 4.3
Cause:
The error is due to the environment being given the location of a Java Runtime (JRE) install.  The application installer should be given a Java Development Kit (JDK) install.
Resolution:
Please download JDK install at 1.8 level.  Downloads can be obtained at http://java.sun.com

Once JDK has been downloaded and installed, the application should pick up on the JDK install and proceed further.
Additional Information:
In the above screencap illustration, the install interview display mentions to supply the location of JDK, but the error references a JRE location.  Research confirms that it is a JDK that must be in place in order for the installer to complete.